##
##  cvsync.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         cvsync
Summary:      CVS Repository Synchronization
URL:          http://www.cvsync.org/
Vendor:       Maekawa Masahide
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      BSD
Version:      0.24.19
Release:      20080101

#   list of sources
Source0:      ftp://ftp.cvsync.org/pub/cvsync/cvsync-%{version}.tar.gz
Source1:      cvsync.conf
Source2:      cvsyncd.conf
Source3:      rc.cvsync

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  openssl, zlib
PreReq:       openssl, zlib

%description
    CVSync is a portable CVS repository synchronization utility.

%track
    prog cvsync = {
        version   = %{version}
        url       = http://www.cvsync.org/
        regex     = cvsync-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_make} %{l_mflags -O} \
        CC_TYPE=gnu \
        CFLAGS_OPTS="%{l_cflags -O}" \
        ZLIB_PREFIX="%{l_prefix}" \
        PREFIX="%{l_prefix}" \
        CVSYNC_DEFAULT_CONFIG="%{l_prefix}/etc/cvsync/cvsync.conf" \
        CVSYNCD_DEFAULT_CONFIG="%{l_prefix}/etc/cvsync/cvsyncd.conf" \
        HASH_TYPE="openssl"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/cvsync \
        $RPM_BUILD_ROOT%{l_prefix}/var/cvsync
    %{l_make} %{l_mflags} install \
        PREFIX=$RPM_BUILD_ROOT%{l_prefix} \
        INSTALL="%{l_shtool} install" \
        INSTALL_BIN_OPTS="-c -m \${BINMODE} -s" \
        INSTALL_MAN_OPTS="-c -m \${MANMODE}" \
        HASH_TYPE="openssl"
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE cvsync.conf} %{SOURCE cvsyncd.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/cvsync/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.cvsync} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/cvsync/*.conf' \
        '%attr(-,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/cvsync'

%files -f files

%clean

